Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.data
Class FTMatch

    java.lang.Object
      org.basex.data.FTMatch

All Implemented Interfaces:
  java.lang.Iterable<FTStringMatch>

    public final class FTMatch

extends java.lang.Object
implements java.lang.Iterable<FTStringMatch>

Match full-text container, referencing several `FTStringMatch` instances.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Constructor Summary
`FTMatch()`

Method Summary
`FTMatch` | `add(FTMatch mtc)` Adds a all matches of a full-text match.
`FTMatch` | `add(FTStringMatch m)` Adds a string match.
`java.util.Iterator<FTStringMatch>` | `iterator()`
`boolean` | `notin(FTMatch mtc)` Checks if the full-text match is not part of the specified match.
`void` | `reset()` Resets the match.
`void` | `sort()` Sorts the matches.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FTMatch

    public FTMatch()

Method Detail

### reset

    public void reset()

  Resets the match.

### add

    public FTMatch add(FTMatch mtc)

  Adds a all matches of a full-text match.

  Parameters:
    `mtc` - match to be added
  Returns:
    self reference

### add

    public FTMatch add(FTStringMatch m)

  Adds a string match.

  Parameters:
    `m` - match to be added
  Returns:
    self reference

### notin

    public boolean notin(FTMatch mtc)

  Checks if the full-text match is not part of the specified match.

  Parameters:
    `mtc` - match to be checked
  Returns:
    result of check

### sort

    public void sort()

  Sorts the matches.

### iterator

    public java.util.Iterator<FTStringMatch> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<FTStringMatch>`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD